Skip to main content

Start app conversation

POST /api/v1/app-conversations

Request body​

FieldTypeRequiredDescription
sandbox_id`stringnull`no
conversation_id`stringnull`no
initial_message`SendMessageRequestnull`no
system_message_suffix`stringnull`no
processors`EventCallbackProcessor-Input[]null`no
llm_model`stringnull`no
agent_profile_id`stringnull`no
selected_repository`stringnull`no
selected_branch`stringnull`no
git_provider`ProviderTypenull`no
suggested_task`SuggestedTasknull`no
title`stringnull`no
trigger`ConversationTriggernull`no
pr_numberinteger[]no—
parent_conversation_id`stringnull`no
agent_typeAgentTypeno—
public`booleannull`no
observability_metadata`objectnull`no
observability_tags`string[]null`no
observability_span_name`stringnull`no
plugins`PluginSpec[]null`no
secrets`objectnull`no

Responses​

StatusDescription
200Successful Response
422Validation Error

Response body​

FieldTypeRequiredDescription
idstringno—
created_by_user_id`stringnull`yes
statusAppConversationStartTaskStatusno—
detail`stringnull`no
app_conversation_id`stringnull`no
sandbox_id`stringnull`no
agent_server_url`stringnull`no
requestAppConversationStartRequest-Outputyes—
created_atstringno—
updated_atstringno—

Operation ID: start_app_conversation_api_v1_app_conversations_post